Session Class Reference

`#include <Session.h>`

## Public Member Functions

| Session (void)
void | run (void)

## Private Member Functions

std::string | stripDir (std::string s) const
void | printInfo (void)
void | printEncInfo (void)
void | printVersion (void)
void | printHelp (void)
void | printLicense (void)

## Constructor & Destructor Documentation

## Session()

Session::Session | ( | void |  | ) |

inline

## Member Function Documentation

## printEncInfo()

void Session::printEncInfo | ( | void |  | ) |

private

## printHelp()

void Session::printHelp | ( | void |  | ) |

private

## printInfo()

void Session::printInfo | ( | void |  | ) |

private

## printLicense()

void Session::printLicense | ( | void |  | ) |

private

## printVersion()

void Session::printVersion | ( | void |  | ) |

private

## run()

void Session::run | ( | void |  | ) |

## stripDir()

std::string Session::stripDir | ( | std::string | s | ) | const

private

The documentation for this class was generated from the following files:

- Session.h
- Session.cc